\section{Evaluation}
\subsection{Hasura with GraphQL}
limitations:
https://docs.hasura.io/1.0/graphql/manual/queries/custom-functions.html

For query 1b: I needed to add a table names with a column name, so we can write a function with a valid return type

Function behaviour: ONLY STABLE or IMMUTABLE
Return type: MUST be SETOF <table-name>
Argument modes: ONLY IN